Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class NodeSpec

    java.lang.Object
      ix.icore.domain.NodeSpec

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  UINodeSpec

    public class NodeSpec

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Name` | `id`
`protected LList` | `pattern`

Constructor Summary
`NodeSpec()`
`NodeSpec(int id, LList pattern)`
`NodeSpec(Name id, LList pattern)`
`NodeSpec(java.lang.Object id, LList pattern)`

Method Summary
`Name` | `getId()`
`LList` | `getPattern()`
`NodeSpec` | `instantiate(MatchEnv env, Function1 ifUnbound)`
`void` | `setId(Name id)`
`void` | `setPattern(LList pattern)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected Name id

### pattern

    protected LList pattern

Constructor Detail

### NodeSpec

    public NodeSpec()

### NodeSpec

    public NodeSpec(Name id,
                    LList pattern)

### NodeSpec

    public NodeSpec(java.lang.Object id,
                    LList pattern)

### NodeSpec

    public NodeSpec(int id,
                    LList pattern)

Method Detail

### getId

    public Name getId()

### setId

    public void setId(Name id)

### getPattern

    public LList getPattern()

### setPattern

    public void setPattern(LList pattern)

### instantiate

    public NodeSpec instantiate(MatchEnv env,
                                Function1 ifUnbound)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD